<?php
if (!defined('ABSPATH')) {
    exit;
}

use WFOTP\App\Classes;

add_shortcode('firebase_otp_login', 'renderFirebaseOtpLogin');

function renderFirebaseOtpLogin($atts)
{
    $atts = shortcode_atts(array(
        'phone_button_text'        => esc_html__("Send Code", "wp-firebase-otp"),
        'code_button_text'         => esc_html__("Verify & Login", "wp-firebase-otp"),
        'phone_toggle_button_text' => esc_html__("Continue with Phone", "wp-firebase-otp"),
        'resend_otp_text'          => esc_html__("Resend OTP", "wp-firebase-otp"),
        'renter_phone_email_text'  => esc_html__("re-enter phone & email", "wp-firebase-otp"),
        'recaptcha'                => 'invisible', // invisible or normal
    ), $atts);
    
    $atts = apply_filters('firebase_otp_login_atts', $atts);
    $wfotp_settings = get_option('wfotp_settings', true);
    $unique_id = uniqid();

    // set modal type class
    $modalType = 'modal';
    if (isset($wfotp_settings['modal_type']) &&  $wfotp_settings['modal_type'] === 'custom_modal') {
        $modalType = 'rq-custom-modal';
    }

    $transfer_data = new Classes();

    $transfer_data->wfotp_get_template_part('frontend/login-template.php', [
        "unique_id" => $unique_id,
        "modalType" => $modalType,
        "wfotp_settings" => $wfotp_settings,
        "phone_button_text" => $atts['phone_button_text'],
        "code_button_text" => $atts['code_button_text'],
        "resend_otp_text" => $atts['resend_otp_text'],
        "renter_phone_email_text" => $atts['renter_phone_email_text'],
        "phone_toggle_button_text" => $atts['phone_toggle_button_text'],
        "recaptcha" => $atts['recaptcha'],
    ]);
}
