<?php
if (!empty($_POST) && check_admin_referer('nonce_wfotp_settings', 'wfotp_settings')) {
    $posted = $_POST;

    unset($posted['submit']);
    unset($posted['wfotp_settings']);
    unset($posted['_wp_http_referer']);
    update_option('wfotp_settings', $posted);
}
$wfotp_settings = get_option('wfotp_settings', true);

?>
<div class="rq-firebase-settings-wrap">
    <h1 class="la-page-title"><?php esc_html_e('Fire Mobile Settings', 'wp-firebase-otp') ?></h1>

    <div class="rq-firebase-instruction-block">
        <p class="la-page-title-notice">
            <?php esc_html_e('Instructions :', 'wp-firebase-otp'); ?>
        </p>
        <ol type="1">
            <li><?php esc_html_e('If you do not have a Firebase project, you can create one from here ', 'wp-firebase-otp'); ?>
                <a href="<?php echo esc_url('https://console.firebase.google.com/'); ?>" target="_blank"><?php echo esc_html__('link', 'wp-firebase-otp'); ?>
                </a>
            </li>
            <li><?php echo esc_html__('Now go to your Firebase Project overview->Project settings and copy paste firebase configuration in below fields one by one', 'wp-firebase-otp'); ?>
            </li>
            <li><?php echo esc_html__('In the Firebase console, open the Authentication section.', 'wp-firebase-otp'); ?>
            </li>
            <li><?php echo esc_html__('On the Sign-in Method page, enable the Phone Number sign-in method.', 'wp-firebase-otp'); ?>
            </li>
            <li><?php echo esc_html__("On the same page, if the domain that will host your app isn't listed in the OAuth redirect domains section, add your domain.", 'wp-firebase-otp'); ?>
            </li>
            <li><?php echo esc_html__("Copy this shortcode [firebase_otp_login] and add it to any place on your site you like.", 'wp-firebase-otp'); ?>
            </li>
            <li><?php echo esc_html__("That's it, You should be able to use mobile login in your WordPress and WooCommerce site.", 'wp-firebase-otp'); ?>
            </li>
            <li><?php echo esc_html__("For more details you can check our docs", 'wp-firebase-otp'); ?>
            </li>
        </ol>
        <div class="rq-settings-alert">
            <?php echo __('<strong>Note:</strong> If your site has <b>Bootstrap CSS</b> library then must use <b>Custom Modal</b> from our modal type options. Because jQuery Modal has style & functional conflict with <b>Bootstrap CSS</b> library', 'wp-firebase-otp'); ?>
        </div>
    </div>

    <div class="rq-firebase-instruction-block">
        <p class="la-page-title-notice">
            <?php esc_html_e('Video Guide :', 'wp-firebase-otp'); ?>
        </p>
        <div class="fire-mobile-video-guide">
            <iframe width="560" height="315" src="https://www.youtube.com/embed/v57JAmZAI3A" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        </div>
    </div>

    <form method="post">
        <div class="form-table rq-firebase-settings-from">
            <p class="la-page-title-notice">
                <?php esc_html_e('Configuration:', 'wp-firebase-otp'); ?>
            </p>

            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Api Key (apiKey)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="api_key" value="<?php echo (isset($wfotp_settings['api_key']) && !empty($wfotp_settings['api_key'])) ? esc_attr($wfotp_settings['api_key']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Auth Domain (authDomain)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="auth_domain" value="<?php echo (isset($wfotp_settings['auth_domain']) && !empty($wfotp_settings['auth_domain'])) ? esc_attr($wfotp_settings['auth_domain']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Database URL (databaseURL)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="database_url" value="<?php echo (isset($wfotp_settings['database_url']) && !empty($wfotp_settings['database_url'])) ? esc_attr($wfotp_settings['database_url']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Project Id (projectId)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="project_id" value="<?php echo (isset($wfotp_settings['project_id']) && !empty($wfotp_settings['project_id'])) ? esc_attr($wfotp_settings['project_id']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Storage Bucket (storageBucket)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="storage_bucket" value="<?php echo (isset($wfotp_settings['storage_bucket']) && !empty($wfotp_settings['storage_bucket'])) ? esc_attr($wfotp_settings['storage_bucket']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Messaging Sender Id (messagingSenderId)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="messaging_sender_id" value="<?php echo (isset($wfotp_settings['messaging_sender_id']) && !empty($wfotp_settings['messaging_sender_id'])) ? esc_attr($wfotp_settings['messaging_sender_id']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('App Id (appId)', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="app_id" value="<?php echo (isset($wfotp_settings['app_id']) && !empty($wfotp_settings['app_id'])) ? esc_attr($wfotp_settings['app_id']) : ''; ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Phone Number Error Text', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="phone_error_translation" value="<?php echo (isset($wfotp_settings['phone_error_translation']) && !empty($wfotp_settings['phone_error_translation'])) ? esc_attr($wfotp_settings['phone_error_translation']) : esc_attr__('Invalid Number!', 'wp-firebase-otp'); ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('OTP Code Error Text', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="otp_code_error_translation" value="<?php echo (isset($wfotp_settings['otp_code_error_translation']) && !empty($wfotp_settings['otp_code_error_translation'])) ? esc_attr($wfotp_settings['otp_code_error_translation']) : esc_attr__('Invalid Code!', 'wp-firebase-otp'); ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Successful Verification Text', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="successful_text_translation" value="<?php echo (isset($wfotp_settings['successful_text_translation']) && !empty($wfotp_settings['successful_text_translation'])) ? esc_attr($wfotp_settings['successful_text_translation']) : esc_attr__('Successful!', 'wp-firebase-otp'); ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Login Failed Text', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="login_failed_text" value="<?php echo (isset($wfotp_settings['login_failed_text']) && !empty($wfotp_settings['login_failed_text'])) ? esc_attr($wfotp_settings['login_failed_text']) : esc_attr__('Login failed, please try again!', 'wp-firebase-otp'); ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Resend OTP Waiting Time ( second )', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="resend_otp_waiting_time" value="<?php echo (isset($wfotp_settings['resend_otp_waiting_time']) && !empty($wfotp_settings['resend_otp_waiting_time'])) ? esc_attr($wfotp_settings['resend_otp_waiting_time']) : 30 ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Phone Block Title', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="phone_name_title" value="<?php echo (isset($wfotp_settings['phone_name_title']) && !empty($wfotp_settings['phone_name_title'])) ? esc_attr($wfotp_settings['phone_name_title']) : esc_attr__('Enter Your Number', 'wp-firebase-otp'); ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Verify Block Title', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <input type="text" class="widefat rq-rub-input-field" name="verify_code_title" value="<?php echo (isset($wfotp_settings['verify_code_title']) && !empty($wfotp_settings['verify_code_title'])) ? esc_attr($wfotp_settings['verify_code_title']) : esc_attr__('Verify Code', 'wp-firebase-otp'); ?>">
                    </div>
                </div>
            </div>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Choose modal type', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <select name="modal_type" id="modal_type">
                            <option value=""><?php esc_html_e('Choose your modal type', 'wp-firebase-otp') ?></option>
                            <option value='jquery_modal' <?php selected($wfotp_settings['modal_type'], 'jquery_modal'); ?>>
                                <?php esc_html_e('jQuery Modal', 'wp-firebase-otp') ?>
                            </option>
                            <option value='custom_modal' <?php selected($wfotp_settings['modal_type'], 'custom_modal'); ?>>
                                <?php esc_html_e('Custom Modal', 'wp-firebase-otp') ?>
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            <?php if(class_exists('woocommerce')):?>
            <div class="la-input-group">
                <div class="la-input-wrapper">
                    <span class="la-input-title">
                        <?php esc_html_e('Set Action Scheduler Timestamp for Data Synchronization ', 'wp-firebase-otp') ?>
                    </span>
                    <div class="la-input-field">
                        <select name="schedule_time" id="schedule_time">
                            <option value=""><?php esc_html_e('Choose Time To Run Scheduler', 'wp-firebase-otp') ?></option>
                            <option value='+2 minutes'>
                                <?php esc_html_e('2 minutes', 'wp-firebase-otp') ?>
                            </option>
                            <option value='+3 minutes'>
                                <?php esc_html_e('3 minutes', 'wp-firebase-otp') ?>
                            </option>
                            <option value='+5 minutes'>
                                <?php esc_html_e('5 minutes', 'wp-firebase-otp') ?>
                            </option>
                            <option value='+10 minutes'>
                                <?php esc_html_e('10 minutes', 'wp-firebase-otp') ?>
                            </option>
                            <option value='+15 minutes'>
                                <?php esc_html_e('15 minutes', 'wp-firebase-otp') ?>
                            </option>
                            <option value='+30 minutes'>
                                <?php esc_html_e('30 minutes', 'wp-firebase-otp') ?>
                            </option>
                            
                        </select>
                    </div>
                </div>
            </div>
            <?php endif?>
        </div>
        <?php
        wp_nonce_field('nonce_wfotp_settings', 'wfotp_settings');
        ?>
        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="<?php esc_attr_e("Save Changes", 'wp-firebase-otp') ?>">
        </p>
    </form>
</div>